StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Running Drivers

## Functions
int | starpu_driver_run (struct starpu_driver *d)
int | starpu_driver_init (struct starpu_driver *d)
int | starpu_driver_run_once (struct starpu_driver *d)
int | starpu_driver_deinit (struct starpu_driver *d)
void | starpu_drivers_request_termination (void)

## Detailed Description

## Function Documentation

int starpu_driver_run | ( | struct starpu_driver * | d | ) |

Initialize the given driver, run it until it receives a request to terminate, deinitialize it and return 0 on success. It returns `-EINVAL` if `d->type` is not a valid StarPU device type (STARPU_CPU_WORKER, STARPU_CUDA_WORKER or STARPU_OPENCL_WORKER). This is the same as using the following functions: calling starpu_driver_init(), then calling starpu_driver_run_once() in a loop, and eventually starpu_driver_deinit().

int starpu_driver_init | ( | struct starpu_driver * | d | ) |

Initialize the given driver. Returns 0 on success, `-EINVAL` if `d->type` is not a valid starpu_worker_archtype.

int starpu_driver_run_once | ( | struct starpu_driver * | d | ) |

Run the driver once, then returns 0 on success, `-EINVAL` if `d->type` is not a valid starpu_worker_archtype.

int starpu_driver_deinit | ( | struct starpu_driver * | d | ) |

Deinitialize the given driver. Returns 0 on success, `-EINVAL` if `d->type` is not a valid starpu_worker_archtype.

void starpu_drivers_request_termination | ( | void |  | ) |

Notify all running drivers they should terminate.